package com.diagbot.repository;

import com.diagbot.dto.DrugBillNeoDTO;
import com.diagbot.entity.node.AgeMin;
import com.diagbot.entity.node.Gender;
import com.diagbot.entity.node.Medicine;

public class MedicineNode {

    private String age_ch = "岁";
    public DrugBillNeoDTO MedicinetoDrugDTO(Medicine medicine) {
        DrugBillNeoDTO drugBillNeoDTO = new DrugBillNeoDTO();

        AgeMin ageMin = medicine.getAgeMin();
        String ageMin_val = (ageMin==null)?"":ageMin.getName();
        ageMin_val = ageMin_val.replace(age_ch, "").trim();
        drugBillNeoDTO.setMinage(Integer.parseInt(ageMin_val));


        Gender gender = medicine.getGender();
        String gender_val = (gender==null)?"":gender.getName();
        drugBillNeoDTO.setGender(gender_val);

        return drugBillNeoDTO;
    }
}
