package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "药品通用名")
public class Medicinebk extends BaseNode implements Serializable{

    @Relationship(type="药品通用名禁忌年龄最小值", direction = Relationship.OUTGOING)
    private AgeMin ageMin;

    @Relationship(type="药品通用名禁忌性别", direction = Relationship.OUTGOING)
    private Gender gender;
}
